#![no_std]
#![no_main]

use core::arch::global_asm;
use crate::utils::clear_bss;

mod utils;
mod sbi;
mod console;

global_asm!(include_str!("entry.asm"));

#[no_mangle]
fn rust_main() -> ! {
    clear_bss();
    log_error!("Hello, rCore!");
    log_warning!("Hello, rCore!");
    log_information!("Hello, rCore!");
    log_debug!("Hello, rCore!");
    log_trace!("Hello, rCore!");
    sbi::shutdown(false);
}

